Page MenuHomePhabricator

Special:MobileLanguages is indexed by search engines (as pseudo-404)
Closed, ResolvedPublic

Description

https://duckduckgo.com/?q="Arbennig%3AAboutTopic"+site%3Acy.wikipedia.org (https://archive.fo/P2fop ) returns a slate of "Page unavailable", for instance https://cy.wikipedia.org/wiki/Arbennig:MobileLanguages/17 which says

This page is not available on desktop. Please click the mobile view link at the bottom of the page.

but returns a status code 200 and contains an inappropriate

<link rel="canonical" href="https://cy.wikipedia.org/wiki/Arbennig:MobileLanguages/17"/>

In such a case, the special page should either

  • return 404, or
  • return 302 and redirect to the Wikidata item.

Additionally, the canonical URL should be something with actual content.

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 19 2017, 11:26 AM
Nemo_bis triaged this task as High priority.Feb 19 2017, 11:26 AM

Change 338615 had a related patch set uploaded (by Nemo bis):
Do not return HTTP 200 when refusing to serve a mobile special page

https://gerrit.wikimedia.org/r/338615

Change 338618 had a related patch set uploaded (by Nemo bis):
Set canonical URL on Special:MobileLanguages to actual page URL

https://gerrit.wikimedia.org/r/338618

Nemo_bis renamed this task from Special:MobileLanguages indexed by search engines (as pseudo-404) to Special:MobileLanguages is indexed by search engines (as pseudo-404).Feb 19 2017, 12:01 PM
Nemo_bis updated the task description. (Show Details)

Change 338615 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend] Do not return HTTP 200 when refusing to serve a mobile special page

https://gerrit.wikimedia.org/r/338615

Jdlrobson closed this task as Resolved.Mar 14 2017, 8:28 PM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

The pages are 404ing but still show up in search engine results (they will take time to propagate). This should be reopened in 2 weeks if we're not seeing any change.

Change 338618 abandoned by Nemo bis:
Set canonical URL on Special:MobileLanguages to actual page URL

Reason:
I still think the current canonical URL is wrong, but we can perhaps hope that the canonical URL will be ignored when it returns 404...

https://gerrit.wikimedia.org/r/338618

Deskana moved this task from Tag to Done on the SEO board.Jul 6 2018, 10:28 AM